# Examples
The examples below show various enigma-go use cases.

> **Note:**: Before running the examples, make sure you have a valid Qlik Cloud tenant host and API key in your environment variables
> ```
> QCS_HOST=<tenant>.qlikcloud.com
> QCS_API_KEY=<APIkey>
> ```
> - How to obtain an API key? [click here](https://qlik.dev/tutorials/generate-your-first-api-key)
> - Session Apps in Qlik Cloud? [click here](https://qlik.dev/apis/json-rpc/qix#session-apps)
#### Basics
* [Custom object types](./basics/custom-type/README.md)
* [Lists](./basics/lists/README.md)
* [Events](./basics/events/README.md)

#### Interacting with data
* [Hypercubes](./data/hypercubes/README.md)
* [List objects](./data/list-object/README.md)
* [String expression](./data/string-expression/README.md)

#### Authentication
* [Qlik Sense certificates and headers](./authentication/sense-using-certificates/README.md)
* [Qlik Sense JSON Web Token (JWT)](./authentication/sense-using-jwt/README.md)
* [QCS using API key](./authentication/qcs-using-apikey/README.md)

#### Interceptors
* [Retry aborted](./interceptors/retry-aborted/README.md)
* [Metrics](./interceptors/metrics/README.md)

#### Reload
* [Monitor Progress](./reload/monitor-progress/README.md)

#### Traffic logging
* [Traffic Log](./logging/README.md)

#### Testing
* [Mock Mode](./testing/mock-mode/README.md)


#### Cookies
* [Cookie Jar](./cookiejar/README.md)

