# Interacting with data: Hypercubes

This example will show you how to create three different types of hypercubes (straight, pivot and stacked), make a selection and retrieve the data in it.

## Runnable code

* [Straight hypercube](./straight/hypercube-straight.go)
* [Pivoting hypercube](./pivot/hypercube-pivot.go)
* [Stacked hypercube](./stacked/hypercube-stacked.go)

## Documentation

* [Qlik Sense Help: Hypercube concept](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/Platform/Content/Concepts/Hypercubes.htm)
* [Qlik Sense Help: Hypercube definition](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/Structs/HyperCubeDef.htm)
* [Qlik Sense Help: Creating a hypercube](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/WorkingWithAppsAndVisualizations/CreateVisualizations/create-hypercube.htm)
* [Qlik Sense Help: Select cells in a hypercube](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/DiscoveringAndAnalysing/MakeSelections/select-set-of-cells-in-hypercube.htm)
* [Qlik Sense Help: Select ranges in a hypercube](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/DiscoveringAndAnalysing/MakeSelections/select-range-measures-in-hypercube.htm)

### Pivoting and stacked hypercube

* [Qlik Sense Help: Get values from a pivot table](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/Classes/GenericObjectClass/GenericObject-class-GetHyperCubePivotData-method.htm)
* [Qlik Sense Help: Get values from a stacked table](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/Classes/GenericObjectClass/GenericObject-class-GetHyperCubeStackData-method.htm)
* [Qlik Sense Help: Select values in a pivot or stacked table](https://help.qlik.com/en-US/sense-developer/June2017/Subsystems/EngineAPI/Content/DiscoveringAndAnalysing/MakeSelections/select-values-in-pivot-table.htm)
